Subject: Bug in Message Insert (^R ^W)

From: Scott Leibrand <[email-masked]>
Date: Thu, 2 Nov 2000 01:42:14 -0800 (PST)

I just noticed a bug/design flaw when using the ^R ^W procedure to insert
a message.  What I did was:

 - Composed a message, entered the recipients, and posponed it
 - Opened my sent-mail folder, which contains all of this years sent
messages, 1800+ messages in all.
 - Copied the message number I wanted to insert from the title bar at the
top of the screen.  It was something like message 1,816 (with the comma
there just like that).
 - In the message body, pressed ^R then ^W to insert a message, and pasted
the message number "1,816" into the prompt.
 - Pine said, "[ Message 1,816 included ]", but in reality inserted
message number one.

I presume this is because the insert message code reads the comma as an
end-of-field character.  If Pine is going to treat it that way, however,
it should return an error message to the effect that commas are not
allowed.  Actually, it would be better if it just stripped out the comma
and inserted message number 1816.

Can you include a fix for this in the next Pine version?  Thanks.
-- 
Scott Leibrand
[email-masked]          (Yes, that is a valid address.)
http://students.washington.edu/leibrand
* Opinions expressed are mine.  Everyone else can get their own.   :)   *
* RCW 19.190 notice: This email address is located in Washington State. *
* Unsolicited commercial email may be billed $500 per message.          *

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------